<?
include "../../inc/inc.koneksi.php";

$kodeaw =$_POST[kodeaw];
$kodeak	=$_POST[kodeak];

$sql		= mysql_query("SELECT * FROM interface");
$r          = mysql_fetch_assoc($sql);
$utang      = $r[hutang_dg];
$labapb     = $r[laba_pb];
$labrug     = $r[laba_rugi];
$nosublpb   = substr($labapb,0,3);
$nosublr    = substr($labrug,0,3);

$query  = mysql_query("SELECT * FROM jurbk WHERE kode_bk BETWEEN '$kodeaw' AND '$kodeak' AND posting='P' ORDER BY kode_bk");
$row    = mysql_num_rows($query);
if($row>0){
    while($r1=mysql_fetch_array($query)){
	    $kodebk 	= $r1[kode_bk];
	    $tanggal	= $r1[tanggal];
	    $nobank 	= $r1[nobank];
	    $noakun 	= $r1[noakun];
	    $nobp 		= $r1[nobp];
    	$nofak		= $r1[nofak];
	    $jumlah		= $r1[jumlah];
	    $ket 		= $r1[keterangan];
	    $user 		= $r1[user];
	    $nosubbk	= substr($nobank,0,3);
	    $nosubak	= substr($noakun,0,3);
	    $kelakun	= (int) substr($noakun,0,1);
	
	    // --->debet bank bertambah
	    mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd-$jumlah WHERE noakun='$nobank'");
		
	    // --->jika kode akun buku besar adalah hutang dagang, kurangi saldo hutang
	    if($noakun==$utang){
		    $kodesp = substr($nobp,5,4);
		    mysql_query("UPDATE hutang SET jumlah=jumlah+$jumlah WHERE kode_sp='$kodesp' AND nofak='$nofak'");
	    }
	    // --->debet noakun bertambah
	    mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db-$jumlah WHERE noakun='$noakun'");
		
	    if(!($nobp=='')){
		    // --->Jika akun buku pembantu tidak kosong, debet bertambah
		    mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db-$jumlah WHERE noakun='$nobp'");
	    }
	    
	    if($kelakun>3){
		    // --->laba periode berjalan debet
		    mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db-$jumlah WHERE noakun='$labapb'");
		    // --->laba rugi kredit
		    mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd-$jumlah WHERE noakun='$labrug'");
	    }
	    mysql_query("DELETE FROM rekapjur WHERE kode_tr='$kodebk' ");
	    mysql_query("UPDATE jurbk SET posting='' WHERE kode_bk='$kodebk'");
    }
}
?>